
Redmine - Defect #16081

Export CSV - Custom field true/false not using translation

2014-02-12 13:25 - Johan Guilbaud

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 2.4.4   

Resolution: Fixed Affected version: 2.4.2

Description

When showing in web browser an issue with "true/false" custom(s) field(s), in french language we have "oui" (yes) or "non" (no) but

when exporting issues we got "true" or "false" instead of "oui" or "not"

We have this problem since we have upgraded from 2.2.4 to 2.4.2

Environment:

Redmine version                2.4.2.stable

Ruby version                   2.1.0-p0 (2013-12-25) [x86_64-linux]

Rails version                  3.2.16

Environment                    production

Database adapter               Mysql2

Associated revisions

Revision 12896 - 2014-02-15 10:18 - Jean-Philippe Lang

Fixed: Export CSV - Custom field true/false not using translation (#16081).

Revision 12945 - 2014-03-02 10:29 - Jean-Philippe Lang

Merged r12896 (#16081).

Revision 12946 - 2014-03-02 10:30 - Jean-Philippe Lang

Merged r12896 (#16081).

History

#1 - 2014-02-15 10:18 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.4

- Resolution set to Fixed

Fixed in r12896.

#2 - 2014-02-17 08:48 - Johan Guilbaud

Nice !

thanks

edit : tested, it's ok :)

#3 - 2014-03-02 10:30 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged, thanks for the feedback.
